Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/card-info \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"card_info": {
"card_sub_type": "<string>",
"extended_card_type": "<string>",
"country": "<string>",
"cvv_less_support": true,
"bank": "<string>",
"id": "<string>",
"mandate_support": true,
"brand": "<string>",
"card_sub_type_category": "<string>",
"juspay_bank_code": "<string>",
"type": "<string>",
"country_code": "<string>",
"object": "<string>",
"direct_otp_support": true
}
}
}Retrieve card information based on the initial 9 digits (card BIN) of the card number.
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/card-info \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"card_info": {
"card_sub_type": "<string>",
"extended_card_type": "<string>",
"country": "<string>",
"cvv_less_support": true,
"bank": "<string>",
"id": "<string>",
"mandate_support": true,
"brand": "<string>",
"card_sub_type_category": "<string>",
"juspay_bank_code": "<string>",
"type": "<string>",
"country_code": "<string>",
"object": "<string>",
"direct_otp_support": true
}
}
}Was this page helpful?